<?php

namespace App\Filament\Resources\Hunts\Pages;

use App\Filament\Resources\Hunts\HuntsResource;
use Filament\Resources\Pages\CreateRecord;

class CreateHunts extends CreateRecord
{
    protected static string $resource = HuntsResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        $data['creator_id'] = auth()->id();

        return $data;
    }
}
